LinuxQMISDK: omaDmConfigTlvExt Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
omaDmConfigTlvExt Struct Reference

## Data Fields
BYTE | state
BYTE | userInputReq
USHORT | userInputTimeout
USHORT | alertmsglength
BYTE | alertmsg [256]

## Detailed Description

This structure will hold the SwiOmaDmConfig session parameters information.

Parameters

  state | 1 - reserved 2 - reserved 3 - reserved 4 - CI DC Success 5 - CI DC Failure 6 - User/device initiated PRL update success. 7 - User/device initiated PRL update failure. 8 - HFA DC session start 9 - HFA DC sucess. 10 - HFA is cancelled. 11 - HFA retry. UI Screen 13[1] with 0 percent progress bar should be shown. 12 - HFA fail after 5 retries. UI Screen 2[1] should be displayed. 13 - HFA retry down counter. Used to update the process bar of UI Screen 13[1]. 14 - HFA PRL session start, UI screen 4[1] should be displayed. 15 - HFA PRL update success. 16 - Device is launching a NI session. UI Screen 1[1] should be displayed. 17 - An empty session. UI Screen 2[1] should be displayed. 18 - No network coverage. 19 - HFA is not enabled. 20 - CI DC Start, UI Screen 1[1] should be displayed. 21 - CI PRL start, UI screen 4[1] should be displayed. 22 - HFA PRL updates fail. 23 - Device reboot. 24 - CI DC is cancelled. 25 - User/device initiated PRL update is cancelled. 26 - NI session is cancelled. 27 - Current NI session is not enabled. 28 - NI DC success. 29 - NI DC Fail. 30 - NI PRL success 31 - NI PRL fail. 32 - Reserved 33 - NI fumo fail 34 - NI session fail, unable to point out the session type.
  user_input_req | - OMA task stop to wait user's input if this field is valid. until user input selection or after "UI Timer out (next field). In the case of timeout, a default selection of "YES/OK" is accepted. Note that this option is valid when DM state is 4/6/12/28/30. 0 - user/host doesn't need to input anything, and OMA task doesn't blocked by UI. 1 - user/host must input "YES/OK/CANCEL". 2 - User/host must input "NO/CANCEL". 3 - user/host must input "YES/OK/NO/CANCEL.
  user_input_timeout | Timeout for user input in seconds. This indicates how many seconds OMA task stop to wait for host/user's response.
  alertmsglength | Length of Alert message string in word(16-bit)
  alertmsg | Alert message in UCS2 (Max 256 characters) This string is printed by host

## Field Documentation

BYTE omaDmConfigTlvExt::alertmsg[256]

USHORT omaDmConfigTlvExt::alertmsglength

BYTE omaDmConfigTlvExt::state

BYTE omaDmConfigTlvExt::userInputReq

USHORT omaDmConfigTlvExt::userInputTimeout